As mentioned in a recent Blog and KB article, Dynamics 365 (online) version 9.0 no longer supports TLS 1.0 or 1.1. If you have older versions of the Dynamics 365 SDK, you will need to download the latest versions from Nuget:

https://docs.microsoft.com/en-us/dynamics365/customer-engagement/developer/download-tools-nuget

If you try to use an older version of SDK tools such as the Plugin Registration Tool, you will not be able to connect successfully to a version 9.0 Dynamics 365 (online) organization. Additional information can be found here